[general]
* **Ad Hoc Reporting:** Ad Hoc reporting is a simple way for everyone to generate reports on the fly. It offers an easy-to-use interface which is wizard-like but powerful at the same time. Our solution enables you to create reports without needing to have specialized knowledge of the underlying database structure or advanced technical skills.

After ad hoc reporting can be accessed as modul of the Remote Interface, as web application using the URL: 
```
http://<servername>:<port>/<context if servlet>/remote/adhoc
```

or as applet using the URL: 

```
http://<servername>:<port>/<context if servlet>/adhoc
```

  * **Ad Hoc Data View:** An ad hoc data view is a simplified representation of a complex database. It offers a simple list of columns that can be used in an ad hoc report instead of a large number of joined tables. An end user does not have to know the structure of a database and can dive into ad hoc reporting.

The ad hoc data views can be created with the i-net Designer (File menu item "New Ad Hoc Data View").
* **Remote Interface - new property: Login Type:** Since version 10, i-net Crystal-Clear supports several authentication methods. The property Login Type defines, how the user has to log into the system and where the permitted usernames are administrated. If you want to use a specific login type instead of the default type "Automatic", e.g. Windows authentication, you can change the login type in the Configuration Manager.
* **Repository - Remote Designer (JNLP):** Since version 10 it is possible to start the i-net Designer from the repository browser. The i-net Designer can then be used without installation on the client.
* **New HTML Parameter Request dialog:** The web-based report prompt dialog has been completely rewritten and "AJAX-ified". It now supports cascading prompts - i.e. fetching default values of cascading parameters from the server on-the-fly via AJAX - as well as scores of other improvements, visual and otherwise. The prompt dialog is shown when requesting a report with prompts in an export format with the URL parameter "init=<format>", or when displaying a report with prompts in the web-based Ad Hoc service, or when exporting a report from the web-based Report Repository. 
* **Element border / shadow increase section height:** If the border of an report element is, at design time, on the lower edge of a section and the element has a border and / or shadow, then the height of this section increases, at runtime, by the width of the border and / or shadow. In previous versions the border and/or shadow was painted into the next section.
* **Null values for string parameter fields supported:** Single string parameter fields (prompts) which do not have any length limit now accept null in addition to an empty string. In the prompt dialog, they have a "no value" option which can be toggled on and off for the string prompt. If you do not want to allow null values for string prompts, you can simply specify 0 as the minimum length of the string - note that in the designer, this is now the default setting when creating new string prompts.
* **New Report Wizard in i-net Designer:** Based on Ad Hoc Reporting, we developed a new report wizard for the i-net Designer. With this new report wizard, it is now possible to create reports containing charts and / or crosstabs.
* **New Options dialog in i-net Designer:** The Options dialog has been revised. It now includes all configurations, including the i-net Crystal-Clear configuration, data source configuration and repository configuration. Also, it is now possible to search properties and to add multiple repository servers.
* **New "Open Report File" dialog in i-net Designer:** In addition to the local directories, the new "Open Report File" dialog in the i-net Designer includes the configured repository URL's. Also it is possible to display a preview and the properties of the rpt files.
* **i-net Designer without installation / Remote Designer:** You can use the i-net Designer to design report templates without installation on the client. You can open the designer program from the Repository Browser (i-net Crystal-Clear Plus required).
* **Creation of multiple log files supported:** Logging now is able to use an archiving mechanism which zips and archives log files once they reach a certain size and which then deletes old archived files if a certain amount of archive files is reached. By default, an uncompressed log file can reach 100MB before it is archived and at most 10 archive files are kept. These two values can be changed within the i-net Crystal-Clear configuration under the Logging tab.
* **Headless Setup available:** With the console setup, it is now possible to install the i-net Crystal-Clear report server on servers without a GUI.

[general:de]
* **Ad-hoc-Berichterstattung:** Die Ad-hoc-Berichterstattung ist eine einfache Möglichkeit für alle, Berichte spontan zu erstellen. Es bietet eine benutzerfreundliche Schnittstelle, die einem Assistenten ähnelt, aber gleichzeitig leistungsstark ist. Mit unserer Lösung können Sie Berichte erstellen, ohne über spezielle Kenntnisse der zugrunde liegenden Datenbankstruktur oder fortgeschrittene technische Fähigkeiten verfügen zu müssen.

Auf die Ad-hoc-Berichterstattung kann als Modul des Remote Interface zugegriffen werden, als Webanwendung unter Verwendung der URL:
```
http://<Servername>:<Port>/<Kontext bei Servlet>/remote/adhoc
```

oder als Applet unter Verwendung der URL:

```
http://<Servername>:<Port>/<Kontext bei Servlet>/adhoc
```

  * **Ad-hoc-Datenansicht:** Eine Ad-hoc-Datenansicht ist eine vereinfachte Darstellung einer komplexen Datenbank. Sie bietet eine einfache Liste von Spalten, die in einem Ad-hoc-Bericht anstelle einer großen Anzahl von verbundenen Tabellen verwendet werden können. Ein Endbenutzer muss die Struktur einer Datenbank nicht kennen und kann in die Ad-hoc-Berichterstattung einsteigen.

Die Ad-hoc-Datenansichten können mit dem i-net Designer erstellt werden (Datei-Menüpunkt "Neue Ad-hoc-Datenansicht").
* **Remote Interface - neue Eigenschaft: Login Type:** Seit Version 10 unterstützt i-net Crystal-Clear verschiedene Authentifizierungsmethoden. Die Eigenschaft Login Type definiert, wie sich der Benutzer am System anmelden muss und wo die erlaubten Benutzernamen verwaltet werden. Wenn Sie anstelle des Standardtyps "Automatisch" einen bestimmten Anmeldetyp verwenden möchten, z.B. Windows-Authentifizierung, können Sie den Anmeldetyp im Konfigurationsmanager ändern.
* **Repository - Remote Designer (JNLP):** Seit Version 10 ist es möglich, den i-net Designer aus dem Repository-Browser zu starten. Der i-net Designer kann dann ohne Installation auf dem Client verwendet werden.
* **Neuer HTML-Parameterabfragedialog:** Der webbasierte Berichtsabfragedialog wurde komplett neu geschrieben und "AJAX-ifiziert". Er unterstützt nun kaskadierende Prompts - d.h. das Abrufen von Standardwerten für kaskadierende Parameter vom Server on-the-fly über AJAX - sowie zahlreiche andere Verbesserungen, auch visueller Art. Der Prompt-Dialog wird angezeigt, wenn ein Bericht mit Prompts in einem Exportformat mit dem URL-Parameter "init=<format>" angefordert wird, oder wenn ein Bericht mit Prompts im webbasierten Ad-hoc-Dienst angezeigt wird, oder wenn ein Bericht aus dem webbasierten Report Repository exportiert wird.
* **Elementumrandung / -schatten erhöht die Abschnittshöhe:** Wenn sich die Umrandung eines Berichtselements zur Entwurfszeit am unteren Rand eines Abschnitts befindet und das Element eine Umrandung und / oder einen Schatten hat, dann erhöht sich die Höhe dieses Abschnitts zur Laufzeit um die Breite der Umrandung und / oder des Schattens. In früheren Versionen wurde die Umrandung und/oder der Schatten in den nächsten Abschnitt hinein gemalt.
* **Nullwerte für String-Parameterfelder unterstützt:** Einzelne String-Parameterfelder (Prompts), die keine Längenbegrenzung haben, akzeptieren jetzt neben einem leeren String auch null. Im Eingabeaufforderungsdialog gibt es eine Option "kein Wert", die für die Eingabeaufforderung für Strings ein- und ausgeschaltet werden kann. Wenn Sie keine Nullwerte für String-Prompts zulassen wollen, können Sie einfach 0 als Mindestlänge des Strings angeben - beachten Sie, dass dies im Designer nun die Standardeinstellung beim Erstellen neuer String-Prompts ist.
* **Neuer Berichtsassistent im i-net Designer:** Basierend auf dem Ad Hoc Reporting haben wir einen neuen Berichtsassistenten für den i-net Designer entwickelt. Mit diesem neuen Berichtsassistenten ist es nun möglich, Berichte mit Diagrammen und / oder Kreuztabellen zu erstellen.
* **Neuer Optionsdialog im i-net Designer:** Der Optionsdialog wurde überarbeitet. Er enthält nun alle Konfigurationen, einschließlich der i-net Crystal-Clear-Konfiguration, der Datenquellenkonfiguration und der Repository-Konfiguration. Außerdem ist es jetzt möglich, Eigenschaften zu suchen und mehrere Repository-Server hinzuzufügen.
* **Neuer Dialog "Berichtsdatei öffnen" im i-net Designer:** Zusätzlich zu den lokalen Verzeichnissen enthält der neue Dialog "Berichtsdatei öffnen" im i-net Designer die konfigurierten Repository-URLs. Außerdem ist es möglich, eine Vorschau und die Eigenschaften der rpt-Dateien anzuzeigen.
* **i-net Designer ohne Installation / Remote Designer:** Sie können den i-net Designer verwenden, um Berichtsvorlagen ohne Installation auf dem Client zu entwerfen. Sie können das Designer-Programm über den Repository Browser öffnen (i-net Crystal-Clear Plus erforderlich).
* **Erstellung mehrerer Protokolldateien unterstützt:** Die Protokollierung kann jetzt einen Archivierungsmechanismus verwenden, der Protokolldateien zippt und archiviert, sobald sie eine bestimmte Größe erreichen, und der dann alte archivierte Dateien löscht, wenn eine bestimmte Anzahl von Archivdateien erreicht ist. Standardmäßig kann eine unkomprimierte Protokolldatei 100 MB erreichen, bevor sie archiviert wird, und es werden maximal 10 Archivdateien aufbewahrt. Diese beiden Werte können in der i-net Crystal-Clear-Konfiguration unter der Registerkarte "Logging" geändert werden.
* **Headless Setup verfügbar:** Mit dem Konsolen-Setup ist es nun möglich, den i-net Crystal-Clear Berichtsserver auf Servern ohne GUI zu installieren.

[changes]
* URL parameter "timezone" added, to specify the timezone that will be used if "Use Client Timezone" on the server is true.
* There is now an XML-RPC-based interface to i-net Crystal-Clear servers. Features to this interfaces will be added in the coming versions, currently however, it is possible to request information about prompts in reports. See the interface InetXmlRpc for further information or contact our support if there is functionality you'd like to see offered by an XML-RPC interface.
* New web-based report prompt dialog will be displayed when requesting a report with prompts in an export format with the URL parameter "init=<format>", or when displaying a report with prompts in the web-based Ad Hoc service, or when exporting a report from the web-based Report Repository.
* The formula functions DateDiff and DateAdd now supporting milliseconds.
* The directory "crystalclear" has been replaced with directory "client" and the libraries in the directories have been reorganized (See more details about the libraries of i-net Crystal-Clear).
* The Remote-Interface and the start page now displays the favicon.ico that is located in the client folder of the installation.
* Single string prompts which do not have any length limit now accept null in addition to an empty string. In the prompt dialog, they have a "no value" option which can be toggled on and off for the string prompt. If you do not want to allow null values for string prompts, you can simply specify 0 as the minimum length of the string - note that in the designer, this is now the default setting when creating new string prompts.
* HTML export: Positioning of elements (e.g. sub-reports, images etc.) improved.
* New URL parameter "timezone".
* Windows authentication (NTLM) supported (see Login Type property).
* API:
  * With the new API methods in the class BoxProperties, it is now possible to set the background color of a box dynamically using a formula.
  * There is a new get/set method in Engine called "setMetaProperties". This allows the user to store arbitrary properts in a report which are stored and loaded when the report is saved and loaded. These properties are not interpreted or used in any way when rendering a report, however they can be useful for design-time settings and such. Note that property keys with the prefix "designer" are reserved for the i-net Designer.
  * There is a new XML-RPC interface that the server provides. To see a list of the XML-RPC methods, visit the page "/xmlrpc/" on your i-net Crystal-Clear server. For version 10.0 there are six methods which can be called: 
    * report.getPromptFields( string )
    * report.getSummaryInfo( string )
    * repository.listResources( string )
    * repository.listFolders( string )
    * server.getVersion()
    * server.getJavaVersion().
* Log file improvements:
  * Each line of the log file contains a request id starting with "#00001".
  * The log level "Paranoid" has been removed. Use "Debug" instead to get the log file for the i-net Crystal-Clear support.
* It is now possible to format the values of range elements, line a date range prompt.
* Record Selection Formula / Filter:
  * The record selection will now be optimized to run SQL-convertible parts on the database and non convertible parts locally - if possible. This may decrease the time spent on data fetching, depending on the record selection formula.
  * Enhanced toSQL check when using prompt fields. For instance 'CDate ({?prompt})' won't be marked as not executable on database any longer, since it is a constant expression.
* The function groupNumber is now implemented for chart. You can use this in the summary functions and in the color formula.
* Multiple log files possible. Logging now is able to use an archiving mechanism which zips and archives log files once they reach a certain size and which then deletes old archived files if a certain amount of archive files is reached. By default, an uncompressed log file can reach 100MB before it is archived and at most 10 archive files are kept. These two values can be changed within the i-net Crystal-Clear Configuration Manager in the category "Logging". 
* The cluster feature of i-net Crystal-Clear Plus has been removed. Operating system or application server cluster can be used, instead.
* Reports created with Crystal Reports version 6 are no longer supported.
* With the property 'show identifier' chart shows now the group name values in the item labels on the plot. Not an x axis value like in the past.
* Error message improved, that will be thrown from the ASP.NET proxy if i-net Crystal-Clear server is not running
* Formula: 
  * Case insensitive String comparison is now set to SECONDARY(more strict) strength instead of PRIMARY. This will honor different accented forms of the same base letter as well. Using case insensitive comparison, "è" and "E" for instance will not be equal anymore.
  * Numeric summary functions, which are used in formulas with an array as parameter, will now never return null. Instead 0 will be returned. This works only with summary functions, with a fixed return type of number, as there are: count, sum, correlation, covariance, distinctcount, average, weightedaverage, populationvariance and variance.
  * The output of the formula function DataTimeZone can now be directly used as an input for DateTimeWithTimeZoneOffset.
* It is now possible to log-in with another user, if the guest account does not have the necessary rights to execute the report.
* Static elements like text elements and images does not effect the section property "Suppress if Blank". A section will be suppress, if there is no dynamic content in the section. For details see the documentation or the migration guide.
* API:
  * The class com.inet.report.RemoteInterface was removed from the API. The recommended solution for remote access are the PHP proxy and the ASP.NET proxy (see the samples).
  * The older methods AbstractValueElement.setRoundingDigits and AbstractValueElement.setRoundingType have been deprecated and are replaced by AbstractValueElement.setRounding. This method takes the number of digits to which to round. In order to round to a digit after the decimal point, use a negative number.
  * The method Engine.setReportFile accepts reports that has been saved as "Reports as Folder".
* The standalone server will stop it's own process if the configured port is already in use.
* Excel export: The column width is limited to 255 characters. This value is defined by MS Excel.

### API Changes
* Added Classes
  * com.inet.report.Region
* Added Methods
  * com.inet.report.BorderProperties
    * isCloseBorderOnPageBreak()
    * getCloseBorderOnPageBreakFormula()
    * setCloseBorderOnPageBreak(boolean)
    * setCloseBorderOnPageBreakFormula(FormulaField)
  * com.inet.report.BoxProperties
    * getBackColorFormula()
    * setBackColorFormula(FormulaField)
  * com.inet.report.Engine
    * getMetaProperties()
    * setMetaProperties(java.util.Properties)
  * com.inet.report.Element
    * isCloseBorderOnPageBreak()
* Methods and Constants deprecated as of Version 10
  * com.inet.report.config.datasource.DataSourceConfiguration
    * checkConnection()
  * com.inet.report.AbstractValueElement.
    * getRoundingDigits()
    * getRoundingType()
    * setRoundingDigits(int)
    * setRoundingType(int)
  * com.inet.report.RDC
    * loadEngineFromDir(File)
* Removed Methods
  * com.inet.report.Cache
    * isTypeClusterCache()
  * com.inet.report.LicenseKeyInfo
    * isCluster()
    * getGroupNumber()
* Removed Deprecated Classes, Methods and Constants
  * com.inet.report.AbstractFontElement
    * getBold()
    * getItalic()
    * getStrikeout()
    * getUnderline()
  * com.inet.report.AbstractLineElement
    * getExtendToBottomOfSectionWhenPrinting()
  * com.inet.report.AbstractValueElement
    * getAllowFieldClipping()
    * getReverseSignForDisplay()
  * com.inet.report.BorderProperties
    * getTightHorizontal()
    * setTightHorizontal(FormulaField)
  * com.inet.report.Chart
  * com.inet.report.ChartFormatProperties
    * getAllowFieldClipping()
    * getReverseSignForDisplay()
  * com.inet.report.CrossTabCell
    * getSubElements()
  * com.inet.report.DatabaseTables
    * getConvertDateTime()
    * isPasswordValid()
    * setConvertDateTime(int)
  * com.inet.report.Element
    * getCanGrow()
    * getCloseBorderOnPageBreak()
    * getDropShadow()
    * getSuppress()
    * getSuppressIfDuplicated()
    * getTextRotation()
    * getTightHorizontal()
    * setTextRotation(int)
    * setTightHorizontal(FormulaField)
  * com.inet.report.Engine
    * EXPORT_CSV_COM
    * EXPORT_CSV_COL
    * DEFAULT_PAPER_ORIENTATION
    * DEFAULT_PAPERSIZE
    * LANDSCAPE
    * pageSizes
    * PAPER_*
    * PATER_TABLOID
    * PORTRAIT
    * USERDEFINED_PAPER
    * getAcrossThenDown()
    * getFormatGroupsWithMultipleColumn()
    * getHorizontal()
    * getLabel*()
    * getMargin*()
    * getPaper*()
    * getVertical()
    * isFormatWithMultipleColumns()
    * setAcrossThenDown(boolean)
    * setData(ResultSet, boolean)
    * setFormatGroupsWithMultipleColumn(boolean)
    * setFormatWithMultipleColumns(boolean
    * setHorizontal(int)
    * setLabel*(...)
    * setMargin*(...)
    * setPaper*(...)
    * setVertical(int)
  * com.inet.report.FieldElement
    * getLineSpacing()
    * getLineSpacingType()
    * setLineSpacing(int)
    * setLineSpacingType(int)
  * com.inet.report.FontProperties
    * getBold()
    * getItalic()
    * getStrikeout()
    * getUnderline()
  * com.inet.report.GeneralProperties
    * CENTER_ALIGN
    * DEFAULT_ALIGN
    * JUSTIFIED_ALIGN
    * LEFT_ALIGN
    * RIGHT_ALIGN
    * ROTATE_*
    * getCanGrow()
    * getCloseBorderOnPageBreak()
    * getCloseBorderOnPageBreakFormula()
    * getDefaultPromptValues()
    * getDropShadow()
    * getDropShadowFormula()
    * getKeepTogether()
    * getSuppress()
    * getSuppressIfDuplicated()
    * getTextRotation()
    * setCloseBorderOnPageBreak(boolean)
    * setCloseBorderOnPageBreakFormula(FormulaField)
    * setDropShadow(boolean)
    * setDropShadowFormula(FormulaField)
    * setTextRotation(int)
  * com.inet.report.Group
    * getInstanceId()
    * getParentGroup()
    * removeGroupDirectionFormula()
    * setHierarchicalGrouping(boolean, Field, Field, int)
    * setInstanceId(Field)
    * setParentGroup(Field)
  * com.inet.report.LineProperties
    * getExtendToBottomOfSectionWhenPrinting()
  * com.inet.report.Paragraph
    * getLineSpacingType()
    * setLineSpacingType(int)
  * com.inet.report.Paragraph
    * getLineSpacing()
    * setLineSpacing(int)
  * com.inet.report.ParagraphProperties
    * EXACT_SPACING
    * MULTIPLE_SPACING
    * getLineSpacing()
    * getLineSpacingType()
    * setLineSpacing(int)
    * setLineSpacingType(int)
  * com.inet.report.PictureProperties
    * BOTTOM_ALIGN
    * CENTER_ALIGN
    * TOP_ALIGN
  * com.inet.report.PromptField
    * addDefaultValue(String,String)
    * addDefaultValue(Object,String)
    * getPromptValueDesciptions()
    * setDefaultPromptValues(Object[])
    * setDefaultPromptValues(String)
    * setDefaultValue(int,Object,String)
  * com.inet.report.RemoteInterface
  * com.inet.report.ReportComponent
    * getKeepTogether()
  * com.inet.report.ReportProperties
    * getAcrossThenDown()
    * getDistinct()
    * getFormatGroupsWithMultipleColumn()
  * com.inet.report.SortField
    * removeSortDirectionFormula()
  * com.inet.report.Subreport
    * getOnDemand()
  * com.inet.report.SubreportProperties
    * getOnDemand()
  * com.inet.report.SummaryField
    * SUMMARY_CROSSTAB_ROW
    * SUMMARY_CROSSTAB_COLUMN
  * com.inet.report.ValueProperties
    * TWELF_HOURS
    * getAllowFieldClipping()
    * getReverseSignForDisplay()

### i-net Crystal-Clear - Java Viewer
* It is now possible to disable the ability to drill down into groups for individual reports from within the viewer, using the API ReportView.setDrillDownEnabled(boolean) or alternatively using the Viewer's DefaultSetting key "DEFAULT_DRILLDOWN_ENABLED".
* The report viewer's algorithm for scaling images has been greatly improved by using a "multi-step bilinear" scaling algorithm rather than Java's default one-step bilinear algorithm. See here for a comparison of the algorithms: [http://today.java.net/pub/a/today/2007/04/03/perils-of-image-getscaledinstance.html](http://today.java.net/pub/a/today/2007/04/03/perils-of-image-getscaledinstance.html).
* Report viewer will use the embedded fonts, if they are available, independent from the property 'Use Native Fonts'.
* If the page limit set for the server is exceeded for a report, causing the report to be truncated after a certain number of pages, this is displayed in the viewer's page count display.

#### API Changes
* Added Methods
  * com.inet.viewer.ReportView
    * isDrillDownEnabled()
    * setDrillDownEnabled(boolean)
* Removed Deprecated Methods
  * com.inet.viewer.ReportViewer
    * getLogStream()
    * setLogStream(PrintStream)
  * com.inet.viewer.SwingReportViewer
    * getLogStream()
    * setLogStream(PrintStream)

### i-net Designer
* New Report Wizard. It is now possible to create reports with charts and/or cross tabs using report wizard.
* New implementation of the Database Wizard (in previous versions: Visual Database Wizard).
* Menu item "Database Connection" removed. Use the Database Wizard instead.
* Menu structure of the i-net Designer GUI has been simplified.
* Field Browser:
  * The field browser displays a different icon for a formula if it contains a warning.
  * It is now possible to sort the database fields in the field browser alphabetically.
* Formula Editor:
  * Auto completion for formula functions and names of other formulas added.
  * Warning message added, in case a formula is used in a WhileReading context(e.g. as group) but uses WhilePrinting functions(e.g. PageNumber). Ignoring this warning may lead to unexpected results since the function will return null.
  * Function color(r,g,b,a) (with 4 parameters) was added to the function tree.
* Performance improvements during start of i-net Designer.
* Welcome page:
  * Refreshes its content as soon as new content was downloaded from the web server.
  * Contains a new feedback button.
* Repository:
  * With the repository it is now possible to use the i-net Designer without installation on a client.
  * The i-net Designer accepts a connection to a repository only, if the major version of i-net Crystal-Clear is equals or greater than the major version of the i-net Designer.
  * Reports from a repository now can be designed with the font list as it is on the server, rather than on the client system.
* It is now possible to configure the document property 'Suppress report if no rows' and the property "Title" in the sub-report properties.
* Double-clicking on a section name in the i-net Designer now opens the section property dialog and pre-selecting the section you clicked on. 
* Parameter field properties:
  * Various usability improvements in the parameter field properties dialog: you can quickly create a new prompt with Ctrl+N, it will automatically focus on the name of the prompt. This enables quick creation of as many parameter fields as you need.
  * The default value type of a new parameter field is now String rather than Number. This change was made because our statistics show that String prompts occur almost 50% more often than Number prompts.
* In the box properties it is now possible to set the background color of a box dynamically using a formula.
* The –open parameter now accepts reports that has been saved as "Reports as Folder".
* The property dialogs will now also contains the categories date, time, datetime, and number for range type field elements, like a date range parameter field.
* It is now possible to sort the fields in the database wizard alphabetically.
* New Options dialog. It now includes the i-net Crystal-Clear configuration, data source configuration and repository configuration. Also, it is now possible to search properties.
* It is possible to add multiple repository servers in the new options dialog.
* The new Report Wizard now supports a history with the settings of the last 5 created reports in the current session.

### Changed Behavior
* The dialog "Driver Libraries" is only available for users, who have still configured drivers using this old way. It is recommended to copy the jar file of the used drivers into the directory "<install-dir>/lib/driver".

#### API Changes
* Removed Deprecated Methods
  * com.inet.designer.BasicDesignerDataModel
    * getFileChooser(File)
  * com.inet.designer.DesignerDataModel
    * editElementsDialog(Element[])

### Remote Interface
* Each logged in user (login URL required) will be suggested for permission administration in the remote configuration module.
* The Remote-Interface and start page now displays the favicon.ico that is located the in client folder of the installation.
* It is now possible to test custom data sources in the web-based remote interface.
* Remote Designer (JNLP)
  * If the remote designer is running on a windows system, it can now request the drivers and beans from the report server.
* The remote designer now displays a progress dialog while downloading the required jar files to start the application.

### Ad Hoc Reporting
* Since version 10.0 it is possible to use Ad Hoc Reporting to generate reports on the fly.
* In ad hoc, when switching the underlying template, the prompt values were stored and applied to the new template, even if it had other prompts, which could lead to issues. Now the prompt info is reset when switching templates.

### Repository
* The execute permission in the remote repository browser now also contains the report location rights for the repo-locations.
* Repositories now only connect to databases if necessary. This results in a faster startup of the i-net Crystal-Clear server.
* It is no possible to start the i-net Designer in the repository browser using JNLP. There is no client installation necessary.
* The HTML output of the WebDAV connection has additional columns to allow the rendering of the reports from this site.

### Configuration Manager
* Property "Use Client Timezone" added to the category "General Options"
* If an OutOfMemoryError occurs it is now possible to set value for the properties "Stop After Page", "Database Records Limit" and "Crosstab Cells Limit" in the Performance section.
* The property "IP Filter" supports IPv6 addresses.
* Property "Login Type" added to choose the preferred authorization method, e.g. Windows authentication (NTLM), external or internal webserver authentication.
* Property "Allow unknown Data Sources" added. It allows the connection to databases that are not administrated on server side, but saved in the report file.
* Properties "Max Size of the Log File" and "Max Number of Archive Log Files" added for the creation of multiple log files.

### Setup
* The setup has been reworked.
* Non GUI headless setup available to install report server on an headless server.
* Apache Procrun used to install i-net Crystal-Clear as 32 or 64 bit Windows service.
* Daemon installation on Linux/Unix now supported.
* On Linux systems, the file extension ".rpt", ".jra" and ".dataview" are now registered and associated as a mimetype "application/crystalclear.report" or "application/crystalclear.archive". As default programs, they are opened by the designer or the viewer respectively.
* The text-based setup has been improved for readability and clarity.
* Support for GlassFish application server added.

[changes:de]
* URL-Parameter "timezone" hinzugefügt, um die Zeitzone anzugeben, die verwendet wird, wenn "Use Client Timezone" auf dem Server wahr ist.
* Es gibt jetzt eine XML-RPC-basierte Schnittstelle zu i-net Crystal-Clear-Servern. Diese Schnittstelle wird in den kommenden Versionen um weitere Funktionen ergänzt, derzeit ist es jedoch möglich, Informationen über Prompts in Berichten abzufragen. Weitere Informationen finden Sie in der Schnittstelle InetXmlRpc, oder wenden Sie sich an unseren Support, wenn Sie eine Funktionalität wünschen, die von einer XML-RPC-Schnittstelle angeboten werden soll.
* Ein neuer webbasierter Dialog zur Eingabeaufforderung für Berichte wird angezeigt, wenn ein Bericht mit Eingabeaufforderungen in einem Exportformat mit dem URL-Parameter "init=<format>" angefordert wird, oder wenn ein Bericht mit Eingabeaufforderungen im webbasierten Ad-hoc-Dienst angezeigt wird, oder wenn ein Bericht aus dem webbasierten Report Repository exportiert wird.
* Die Formelfunktionen DateDiff und DateAdd unterstützen nun auch Millisekunden.
* Das Verzeichnis "crystalclear" wurde durch das Verzeichnis "client" ersetzt und die Bibliotheken in den Verzeichnissen wurden neu geordnet (siehe weitere Details zu den Bibliotheken von i-net Crystal-Clear).
* Das Remote-Interface und die Startseite zeigen nun das favicon.ico an, das sich im Client-Ordner der Installation befindet.
* Einzelne String-Prompts, die keine Längenbegrenzung haben, akzeptieren nun neben einem leeren String auch null. Im Eingabeaufforderungsdialog gibt es eine Option "kein Wert", die für die Eingabeaufforderung ein- und ausgeschaltet werden kann. Wenn Sie keine Nullwerte für String-Prompts zulassen möchten, können Sie einfach 0 als Mindestlänge des Strings angeben - beachten Sie, dass dies im Designer nun die Standardeinstellung beim Erstellen neuer String-Prompts ist.
* HTML-Export: Die Positionierung von Elementen (z.B. Unterberichte, Bilder usw.) wurde verbessert.
* Neuer URL-Parameter "Zeitzone".
* Windows-Authentifizierung (NTLM) wird unterstützt (siehe Eigenschaft Login-Typ).
* API:
  * Mit den neuen API-Methoden in der Klasse BoxProperties ist es nun möglich, die Hintergrundfarbe einer Box dynamisch über eine Formel zu setzen.
  * Es gibt eine neue get/set-Methode in Engine namens "setMetaProperties". Damit kann der Benutzer beliebige Eigenschaften in einem Bericht speichern, die beim Speichern und Laden des Berichts gespeichert und geladen werden. Diese Eigenschaften werden beim Rendern eines Berichts weder interpretiert noch in irgendeiner Weise verwendet, sie können jedoch für Design-Time-Einstellungen und dergleichen nützlich sein. Beachten Sie, dass Eigenschaftsschlüssel mit dem Präfix "designer" für den i-net Designer reserviert sind.
  * Es gibt eine neue XML-RPC-Schnittstelle, die der Server bereitstellt. Um eine Liste der XML-RPC-Methoden zu sehen, besuchen Sie die Seite "/xmlrpc/" auf Ihrem i-net Crystal-Clear-Server. Für die Version 10.0 gibt es sechs Methoden, die aufgerufen werden können:
    * report.getPromptFields( string )
    * report.getSummaryInfo( string )
    * repository.listResources( string )
    * repository.listFolders( string )
    * server.getVersion()
    * server.getJavaVersion().
* Verbesserungen der Protokolldatei:
  * Jede Zeile der Protokolldatei enthält eine Anfrage-ID, die mit "#00001" beginnt.
  * Der Log-Level "Paranoid" wurde entfernt. Verwenden Sie stattdessen "Debug", um die Logdatei für die i-net Crystal-Clear-Unterstützung zu erhalten.
* Es ist nun möglich, die Werte von Bereichselementen zu formatieren, indem man eine Datumsbereichsabfrage einstellt.
* Datensatzauswahl-Formel / Filter:
  * Die Datensatzauswahl wird nun so optimiert, dass SQL-konvertierbare Teile auf der Datenbank und nicht konvertierbare Teile lokal ausgeführt werden - wenn möglich. Dies kann je nach Datensatzauswahlformel den Zeitaufwand für das Abrufen von Daten verringern.
  * Verbesserte toSQL-Prüfung bei der Verwendung von Prompt-Feldern. Zum Beispiel wird 'CDate ({?prompt})' nicht mehr als nicht ausführbar in der Datenbank markiert, da es ein konstanter Ausdruck ist.
* Die Funktion groupNumber ist jetzt für Diagramme implementiert. Sie können diese in den Zusammenfassungsfunktionen und in der Farbformel verwenden.
* Mehrere Protokolldateien möglich. Die Protokollierung kann jetzt einen Archivierungsmechanismus verwenden, der Protokolldateien zippt und archiviert, sobald sie eine bestimmte Größe erreichen, und der alte archivierte Dateien löscht, wenn eine bestimmte Anzahl von Archivdateien erreicht ist. Standardmäßig kann eine unkomprimierte Protokolldatei 100 MB erreichen, bevor sie archiviert wird, und es werden maximal 10 Archivdateien aufbewahrt. Diese beiden Werte können im i-net Crystal-Clear Configuration Manager in der Kategorie "Logging" geändert werden.

* Die Cluster-Funktion von i-net Crystal-Clear Plus wurde entfernt. Stattdessen können Betriebssystem- oder Anwendungsserver-Cluster verwendet werden.
* Berichte, die mit Crystal Reports Version 6 erstellt wurden, werden nicht mehr unterstützt.
* Mit der Eigenschaft 'show identifier' zeigt das Diagramm nun die Werte der Gruppennamen in den Elementbeschriftungen auf dem Plot an. Nicht wie bisher ein Wert auf der X-Achse.
* Fehlermeldung verbessert, die vom ASP.NET Proxy ausgegeben wird, wenn der i-net Crystal-Clear Server nicht läuft
* Formel:
  * Der String-Vergleich ohne Berücksichtigung der Groß-/Kleinschreibung ist jetzt auf SECONDARY (strenger) statt auf PRIMARY eingestellt. Dadurch werden auch unterschiedliche Akzentformen desselben Grundbuchstabens berücksichtigt. Bei Verwendung des Groß-/Kleinschreibung-unabhängigen Vergleichs sind "è" und "E" zum Beispiel nicht mehr gleich.
  * Numerische Zusammenfassungsfunktionen, die in Formeln mit einem Array als Parameter verwendet werden, geben nun niemals Null zurück. Stattdessen wird 0 zurückgegeben. Dies funktioniert nur bei Zusammenfassungsfunktionen, die einen festen Rückgabetyp von Zahlen haben, wie z.B.: count, sum, correlation, covariance, distinctcount, average, weightedaverage, populationvariance und variance.
  * Die Ausgabe der Formelfunktion DataTimeZone kann nun direkt als Eingabe für DateTimeWithTimeZoneOffset verwendet werden.
* Es ist nun möglich, sich mit einem anderen Benutzer anzumelden, wenn der Gast-Account nicht über die notwendigen Rechte zur Ausführung des Berichts verfügt.
* Statische Elemente wie Textelemente und Bilder wirken sich nicht auf die Abschnittseigenschaft "Suppress if Blank" aus. Ein Abschnitt wird unterdrückt, wenn er keinen dynamischen Inhalt enthält. Details finden Sie in der Dokumentation oder im Migrationsleitfaden.
* API:
  * Die Klasse com.inet.report.RemoteInterface wurde aus der API entfernt. Die empfohlene Lösung für den Fernzugriff sind der PHP-Proxy und der ASP.NET-Proxy (siehe die Beispiele).
  * Die älteren Methoden AbstractValueElement.setRoundingDigits und AbstractValueElement.setRoundingType sind veraltet und wurden durch AbstractValueElement.setRounding ersetzt. Diese Methode nimmt die Anzahl der Ziffern entgegen, auf die gerundet werden soll. Um auf eine Stelle nach dem Dezimalpunkt zu runden, verwenden Sie eine negative Zahl.
  * Die Methode Engine.setReportFile nimmt Berichte entgegen, die als "Reports as Folder" gespeichert wurden.
* Der Standalone-Server wird seinen eigenen Prozess stoppen, wenn der konfigurierte Port bereits verwendet wird.
* Excel-Export: Die Spaltenbreite ist auf 255 Zeichen begrenzt. Dieser Wert wird von MS Excel festgelegt.

### API-Änderungen
* Klassen hinzugefügt
  * com.inet.report.Region
* Hinzugefügte Methoden
  * com.inet.report.BorderProperties
    * isCloseBorderOnPageBreak()
    * getCloseBorderOnPageBreakFormula()
    * setCloseBorderOnPageBreak(boolean)
    * setCloseBorderOnPageBreakFormula(FormulaField)
  * com.inet.report.BoxProperties
    * getBackColorFormula()
    * setBackColorFormula(FormulaField)
  * com.inet.report.Engine
    * getMetaProperties()
    * setMetaProperties(java.util.Properties)
  * com.inet.report.Element
    * isCloseBorderOnPageBreak()
* Methoden und Konstanten, die ab Version 10 veraltet sind
  * com.inet.report.config.datasource.DataSourceConfiguration
    * checkConnection()
  * com.inet.report.AbstractValueElement.
    * getRoundingDigits()
    * getRoundingType()
    * setRoundingDigits(int)
    * setRoundingType(int)
  * com.inet.report.RDC
    * loadEngineFromDir(Datei)
* Entfernte Methoden
  * com.inet.report.Cache
    * isTypeClusterCache()
  * com.inet.report.LicenseKeyInfo
    * isCluster()
    * getGroupNumber()
* Entfernte veraltete Klassen, Methoden und Konstanten
  * com.inet.report.AbstractFontElement
    * getBold()
    * getItalic()
    * getStrikeout()
    * getUnderline()
  * com.inet.report.AbstractLineElement
    * getExtendToBottomOfSectionWhenPrinting()
  * com.inet.report.AbstractValueElement
    * getAllowFieldClipping()
    * getReverseSignForDisplay()
  * com.inet.report.BorderProperties
    * getTightHorizontal()
    * setTightHorizontal(FormelFeld)
  * com.inet.report.Chart
  * com.inet.report.ChartFormatProperties
    * getAllowFieldClipping()
    * getReverseSignForDisplay()
  * com.inet.report.CrossTabCell
    * getSubElements()
  * com.inet.report.DatabaseTables
    * getConvertDateTime()
    * isPasswordValid()
    * setConvertDateTime(int)
  * com.inet.report.Element
    * getCanGrow()
    * getCloseBorderOnPageBreak()
    * getDropShadow()
    * getSuppress()
    * getSuppressIfDuplicated()
    * getTextRotation()
    * getTightHorizontal()
    * setTextRotation(int)
    * setTightHorizontal(FormulaField)
  * com.inet.report.Engine
    * EXPORT_CSV_COM
    * EXPORT_CSV_COL
    * STANDARD_PAPIER_AUSRICHTUNG
    * DEFAULT_PAPERSIZE
    * LANDSCAPE
    * pageSizes
    * PAPIER_*
    * PATER_TABLOID
    * PORTRAIT
    * BENUTZERDEFINIERTES_PAPIER
    * getAcrossThenDown()
    * getFormatGroupsWithMultipleColumn()
    * getHorizontal()
    * getLabel*()
    * getMargin*()
    * getPaper*()
    * getVertical()
    * isFormatWithMultipleColumns()
    * setAcrossThenDown(boolean)
    * setData(ErgebnisSet, boolean)
    * setFormatGroupsWithMultipleColumns(boolean)
    * setFormatWithMultipleColumns(boolean)
    * setHorizontal(int)
    * setLabel*(...)
    * setMargin*(...)
    * setPaper*(...)
    * setVertical(int)
  * com.inet.report.FieldElement
    * getLineSpacing()
    * getLineSpacingType()
    * setLineSpacing(int)
    * setLineSpacingType(int)
  * com.inet.report.FontProperties
    * getBold()
    * getItalic()
    * getStrikeout()
    * getUnderline()
  * com.inet.report.GeneralProperties
    * CENTER_ALIGN
    * DEFAULT_ALIGN
    * JUSTIFIED_ALIGN
    * LINKS_AUSRICHTUNG
    * RECHTS_AUSRICHTEN
    * DREHEN_*
    * getCanGrow()
    * getCloseBorderOnPageBreak()
    * getCloseBorderOnPageBreakFormula()
    * getDefaultPromptValues()
    * getDropShadow()
    * getDropShadowFormel()
    * getKeepTogether()
    * getSuppress()
    * getSuppressIfDuplicated()
    * getTextRotation()
    * setCloseBorderOnPageBreak(boolean)
    * setCloseBorderOnPageBreakFormula(FormulaField)
    * setDropShadow(boolean)
    * setDropShadowFormula(FormulaField)
    * setTextRotation(int)
  * com.inet.report.Group
    * getInstanceId()
    * getParentGroup()
    * removeGroupDirectionFormula()
    * setHierarchicalGrouping(boolean, Feld, Feld, int)
    * setInstanceId(Feld)
    * setParentGroup(Feld)
  * com.inet.report.LineProperties
    * getExtendToBottomOfSectionWhenPrinting()
  * com.inet.report.Paragraph
    * getLineSpacingType()
    * setLineSpacingType(int)
  * com.inet.report.Paragraph
    * getLineSpacing()
    * setLineSpacing(int)
  * com.inet.report.ParagraphProperties
    * EXACT_SPACING
    * MEHRFACHER_ABSTAND
    * getLineSpacing()
    * getLineSpacingType()
    * setZeilenabstand(int)
    * setLineSpacingType(int)
  * com.inet.report.PictureProperties
    * BOTTOM_ALIGN
    * CENTER_ALIGN
    * TOP_ALIGN
  * com.inet.report.PromptField
    * addDefaultValue(String,String)
    * addDefaultValue(Objekt,String)
    * getPromptValueDesciptions()
    * setDefaultPromptValues(Object[])
    * setDefaultPromptValues(String)
    * setDefaultValue(int,Object,String)
  * com.inet.report.RemoteInterface
  * com.inet.report.ReportKomponente
    * getKeepTogether()
  * com.inet.report.ReportProperties
    * getAcrossThenDown()
    * getDistinct()
    * getFormatGroupsWithMultipleColumn()
  * com.inet.report.SortField
    * removeSortDirectionFormula()
  * com.inet.report.Subreport
    * getOnDemand()
  * com.inet.report.SubreportProperties
    * getOnDemand()
  * com.inet.report.SummaryField
    * ZUSAMMENFASSUNG_KREUZTABELLE_ZEILE
    * ZUSAMMENFASSUNG_KREUZTABELLE_SPALTE
  * com.inet.report.ValueProperties
    * TWELF_HOURS
    * getAllowFieldClipping()
    * getReverseSignForDisplay()

### i-net Crystal-Clear - Java Viewer
* Es ist jetzt möglich, die Möglichkeit des Drilldowns in Gruppen für einzelne Berichte aus dem Viewer heraus zu deaktivieren, indem die API ReportView.setDrillDownEnabled(boolean) oder alternativ der DefaultSetting-Schlüssel des Viewers "DEFAULT_DRILLDOWN_ENABLED" verwendet wird.
* Der Algorithmus des Report Viewers zur Skalierung von Bildern wurde erheblich verbessert, indem ein "mehrstufiger bilinearer" Skalierungsalgorithmus anstelle des standardmäßigen einstufigen bilinearen Algorithmus von Java verwendet wird. Siehe hier für einen Vergleich der Algorithmen: [http://today.java.net/pub/a/today/2007/04/03/perils-of-image-getscaledinstance.html](http://today.java.net/pub/a/today/2007/04/03/perils-of-image-getscaledinstance.html).

* Report Viewer verwendet die eingebetteten Schriftarten, wenn sie verfügbar sind, unabhängig von der Eigenschaft "Native Schriftarten verwenden".
* Wenn das für den Server festgelegte Seitenlimit für einen Bericht überschritten wird, was dazu führt, dass der Bericht nach einer bestimmten Anzahl von Seiten abgeschnitten wird, wird dies in der Seitenzahlanzeige des Viewers angezeigt.

#### API-Änderungen
* Hinzugefügte Methoden
  * com.inet.viewer.ReportView
    * isDrillDownEnabled()
    * setDrillDownEnabled(boolean)
* Entfernte veraltete Methoden
  * com.inet.viewer.ReportViewer
    * getLogStream()
    * setLogStream(PrintStream)
  * com.inet.viewer.SwingReportViewer
    * getLogStream()
    * setLogStream(PrintStream)

### i-net Designer
* Neuer Berichtsassistent. Es ist jetzt möglich, Berichte mit Diagrammen und/oder Kreuztabellen mit dem Berichtsassistenten zu erstellen.
* Neue Implementierung des Datenbank-Assistenten (in früheren Versionen: Visual Database Wizard).
* Der Menüpunkt "Datenbankverbindung" wurde entfernt. Verwenden Sie stattdessen den Datenbank-Assistenten.
* Die Menüstruktur der i-net Designer GUI wurde vereinfacht.
* Feld-Browser:
  * Der Feldbrowser zeigt ein anderes Symbol für eine Formel an, wenn diese eine Warnung enthält.
  * Es ist jetzt möglich, die Datenbankfelder im Feldbrowser alphabetisch zu sortieren.
* Formel-Editor:
  * Automatische Vervollständigung für Formelfunktionen und Namen von anderen Formeln hinzugefügt.
  * Warnmeldung hinzugefügt, falls eine Formel in einem WhileReading-Kontext (z. B. als Gruppe) verwendet wird, aber WhilePrinting-Funktionen (z. B. PageNumber) verwendet. Das Ignorieren dieser Warnung kann zu unerwarteten Ergebnissen führen, da die Funktion Null zurückgibt.
  * Die Funktion color(r,g,b,a) (mit 4 Parametern) wurde in den Funktionsbaum aufgenommen.
* Leistungsverbesserungen beim Start von i-net Designer.
* Willkommensseite:
  * Aktualisiert ihren Inhalt, sobald neue Inhalte vom Webserver heruntergeladen wurden.
  * Enthält eine neue Feedback-Schaltfläche.
* Repository:
  * Mit dem Repository ist es nun möglich, den i-net Designer ohne Installation auf einem Client zu nutzen.
  * Der i-net Designer akzeptiert eine Verbindung zu einem Repository nur, wenn die Hauptversion von i-net Crystal-Clear gleich oder größer ist als die Hauptversion des i-net Designers.
  * Berichte aus einem Repository können nun mit der Schriftartenliste gestaltet werden, wie sie auf dem Server und nicht auf dem Client-System vorliegt.
* Es ist jetzt möglich, die Dokumenteigenschaft "Bericht unterdrücken, wenn keine Zeilen" und die Eigenschaft "Titel" in den Eigenschaften der Unterberichte zu konfigurieren.
* Ein Doppelklick auf einen Abschnittsnamen im i-net Designer öffnet nun den Abschnittseigenschaften-Dialog und wählt den angeklickten Abschnitt vor.
* Parameterfeld-Eigenschaften:
  * Verschiedene Verbesserungen in der Benutzerfreundlichkeit des Dialogs für die Eigenschaften von Parameterfeldern: Sie können schnell eine neue Eingabeaufforderung mit Strg+N erstellen, der Fokus wird automatisch auf den Namen der Eingabeaufforderung gesetzt. So können Sie schnell so viele Parameterfelder erstellen, wie Sie benötigen.
  * Der Standardwerttyp eines neuen Parameterfelds ist jetzt String statt Number. Diese Änderung wurde vorgenommen, weil unsere Statistiken zeigen, dass Eingabeaufforderungen mit Zeichenfolgen fast 50 % häufiger vorkommen als Eingabeaufforderungen mit Zahlen.
* In den Feldeigenschaften ist es jetzt möglich, die Hintergrundfarbe eines Feldes dynamisch über eine Formel einzustellen.
* Der Parameter -open akzeptiert nun Berichte, die als "Reports as Folder" gespeichert wurden.
* Die Eigenschaftsdialoge enthalten nun auch die Kategorien Datum, Zeit, Datetime und Zahl für Feldelemente vom Typ Bereich, wie z.B. ein Datumsbereichsparameterfeld.
* Es ist jetzt möglich, die Felder im Datenbank-Assistenten alphabetisch zu sortieren.
* Neuer Dialog Optionen. Er enthält jetzt die i-net Crystal-Clear-Konfiguration, die Datenquellenkonfiguration und die Repository-Konfiguration. Außerdem ist es jetzt möglich, Eigenschaften zu suchen.
* Es ist möglich, mehrere Repository-Server im neuen Optionsdialog hinzuzufügen.
* Der neue Berichtsassistent unterstützt jetzt eine Historie mit den Einstellungen der letzten 5 erstellten Berichte in der aktuellen Sitzung.

### Geändertes Verhalten
* Der Dialog "Treiberbibliotheken" ist nur noch für Benutzer verfügbar, die die Treiber noch auf die alte Weise konfiguriert haben. Es wird empfohlen, die jar-Datei der verwendeten Treiber in das Verzeichnis "<install-dir>/lib/driver" zu kopieren.

#### API-Änderungen
* Entfernte veraltete Methoden
  * com.inet.designer.BasicDesignerDataModel
    * getFileChooser(Datei)
  * com.inet.designer.DesignerDataModel
    * editElementsDialog(Element[])

### Remote Interface
* Jeder eingeloggte Benutzer (Login-URL erforderlich) wird im Remote-Konfigurationsmodul zur Rechteverwaltung vorgeschlagen.
* Das Remote-Interface und die Startseite zeigen nun das favicon.ico an, das sich im Client-Ordner der Installation befindet.
* Es ist nun möglich, benutzerdefinierte Datenquellen im webbasierten Remote-Interface zu testen.
* Ferngesteuerter Designer (JNLP)
  * Wenn der Remote-Designer auf einem Windows-System läuft, kann er jetzt die Treiber und Beans vom Berichtsserver anfordern.
* Der Remote-Designer zeigt jetzt einen Fortschrittsdialog an, während er die erforderlichen Jar-Dateien zum Starten der Anwendung herunterlädt.

### Ad Hoc Reporting
* Seit Version 10.0 ist es möglich, Ad Hoc Reporting zu verwenden, um Berichte on the fly zu generieren.

* In der Ad-hoc-Berichterstattung wurden beim Wechsel der zugrundeliegenden Vorlage die Prompt-Werte gespeichert und auf die neue Vorlage angewendet, auch wenn diese andere Prompts enthielt, was zu Problemen führen konnte. Jetzt werden die Prompt-Informationen beim Wechsel der Vorlage zurückgesetzt.

### Repository
* Die Ausführungsberechtigung im Browser des entfernten Repositorys enthält jetzt auch die Rechte für den Berichtsspeicherort für die Repositories.
* Repositories verbinden sich jetzt nur noch bei Bedarf mit Datenbanken. Dies führt zu einem schnelleren Starten des i-net Crystal-Clear-Servers.
* Es ist nicht mehr möglich, den i-net Designer im Repository-Browser über JNLP zu starten. Es ist keine Client-Installation notwendig.
* Die HTML-Ausgabe der WebDAV-Verbindung verfügt über zusätzliche Spalten, um das Rendering der Berichte von dieser Seite zu ermöglichen.

### Konfigurationsmanager
* Eigenschaft "Client-Zeitzone verwenden" in der Kategorie "Allgemeine Optionen" hinzugefügt
* Wenn ein OutOfMemoryError auftritt, ist es jetzt möglich, Werte für die Eigenschaften "Stop After Page", "Database Records Limit" und "Crosstab Cells Limit" im Abschnitt "Performance" zu setzen.
* Die Eigenschaft "IP-Filter" unterstützt IPv6-Adressen.
* Eigenschaft "Login Type" hinzugefügt, um die bevorzugte Autorisierungsmethode zu wählen, z.B. Windows-Authentifizierung (NTLM), externe oder interne Webserver-Authentifizierung.
* Eigenschaft "Unbekannte Datenquellen zulassen" hinzugefügt. Sie erlaubt die Verbindung zu Datenbanken, die nicht serverseitig verwaltet werden, aber in der Berichtsdatei gespeichert sind.
* Eigenschaften "Max Size of the Log File" und "Max Number of Archive Log Files" für die Erstellung von mehreren Log-Dateien hinzugefügt.

### Einrichtung
* Das Setup wurde überarbeitet.
* Nicht-GUI-Headless-Setup verfügbar, um den Berichtsserver auf einem Headless-Server zu installieren.
* Apache Procrun zur Installation von i-net Crystal-Clear als 32- oder 64-Bit-Windows-Dienst.
* Daemon-Installation auf Linux/Unix wird jetzt unterstützt.
* Auf Linux-Systemen werden die Dateierweiterungen ".rpt", ".jra" und ".dataview" jetzt registriert und als Mimetyp "application/crystalclear.report" oder "application/crystalclear.archive" zugeordnet. Als Standardprogramme werden sie durch den Designer bzw. den Viewer geöffnet.
* Das textbasierte Setup wurde hinsichtlich Lesbarkeit und Übersichtlichkeit verbessert.
* Unterstützung für GlassFish-Anwendungsserver hinzugefügt.

[bugfixes]
* PDF export:
  * Sub-reports containing images, were sometimes not included in the created PDF file.
  * If the property 'Replace Missing Characters' was enabled, then sub-reports were sometimes not included in the created PDF file.
  * IllegalArgumentException sometimes occurred during the creation of a signed PDF file.
  * Unicode characters, containing some special byte values(0x28,0x29,0x5c), could not be displayed correctly in the bookmarks of the PDF file.
  * Borders and shadows of elements painted into the next section.
  * Position of a hyperlink in the PDF file was incorrect, if the hyperlink was created using a field with text interpretation "HTML (advanced)".
  * The hierarchy of bookmarks was lost in the exported PDF file.
  * Pictures encoded as BMP with BitFields and 16bpp (ARGB) has been displayed incorrectly in the exported PDF file.
  * Fields with text interpretation "HTML(advanced)" were not displayed if the property "Suppress if Duplicated" was enabled.
* Sometimes cache was hanging for 15 minutes after refresh button in Java report viewer was clicked, if embedded fonts were used.
* N-datatypes of JDBC 4 (e.g. NClob) not supported, if Java 6 was used.
* Translations in the report was not used for parameter fields (prompts) and formulas.
* Sometimes error message has not occurred in case a basic formula did not assign the 'formula' variable.
* Image export: The export of on-demand sub-reports has produced corrupt image files.
* Borders and shadows of elements painted sometimes into the next section.
* In rare cases an extra empty line in text fields including field parts and empty lines occurred.
* For elements using basic HTML interpretation, justified bullet lists were not justified in the first line
* RTF export: Not transparent images were not displayed in OpenOffice writer.
* The "on demand" sub-report label formulas were not correctly read by the Report Reader tool.
* A vertical line or box from the page header to group footer section was not drawn on a page, if it was the group footer of the last record, the group footer was on the top of the next page and there was no group footer on the current page.
* The methods RDC.loadEngine(File file) and RDC.loadEngine(File file, xxx) could not read report templates that was saved as directory.
* A line or box from the page header section to a group footer section was not painted, if it was the group footer of the last record and the group footer was displayed on a top of a new page (after page header).
* Column for identical groups was added multiple times to the OrderBy statement.
* When opening a report with two data sources, of which one was already registered as a data source configuration and the other was not, settings from the second data source could overwrite settings from the first.
* HTML prompt request dialog: Property "Default values only" was not used.
* The height of a section was increased to the default cross-tab height, if the section contains a very small cross-tab (smaller than the cross-tab default height) and if the height of the section was smaller than the default cross-tab height.
* The character # was not quoted, if report was executed on a MySQL database.
* Excel Export:
  * If the first group is invisible and the group header in the second group is suppressed and the group footer in the second group contains some data, the new sheets pro first group have not been created.
  * Text strings was formatted with STANDARD-Format instead of TEXT-Format. Therefore numbers and dates, that are written as text, was shown in Open Office with an apostrophe as first character.
  * No column was added to the XLS file for thin report elements (<3mm).
* The height of a section was increased to the default crosstab height, if the section contains a very small crosstab (smaller than the crosstab default height) and if the height of the section was smaller than the default crosstab height.
* Because of a bug in the Java VM on the Mac OS, a security exception occurred if a not privileged user tries to use user preferences and i-net Crystal-Clear internally tries to use the System preferences.
* ArrayIndexOutOfBoundsException in the translator occurred if the same placeholder, e.g. {0}, was used multiple times within the same string.
* Fields in the subreport were not displayed, if the property "Suppress if Duplicated" was activated and the text interpretation "Html (advanced)" was used.
* The text property "Manual Formatting" was not working correctly in many cases, if it was used for crosstab fields.
* HTML export:
  * Fields with text interpretation "HTML(advanced)" were not displayed if the property "Suppress if Duplicated" was enabled.
  * The property "Manual Formatting", category "Text", was not work in in many cases for fields in a crosstab.
* If there were SQL expression fields in the report and the report's data sources were converted to a single SQL command, the expression fields were removed from the report. Now they are instead turned into database fields based on the column in the SQL statement named the same as the SQL expression field was named.
* If a report file from an older version of i-net Crystal-Clear was based on a query file and the query file could not be found, the report file was unable to be read.
* Characters in Crystal Reports templates such as 0x01 which are illegal for XML 1.0 files caused reports to not be able to be converted correctly. These characters are now converted to white spaces instead.
* Summary functions in formulas, which have a number-array as parameter have null returned instead of 0 for empty or not initialized arrays.
* Any URL parameters manually after the UID parameter which the HTML prompt dialog created were truncated.

### i-net Crystal-Clear - Java Viewer
* The Java logical font "DialogInput" was displayed as a SansSerif font in the Java viewer rather than, as is default, as a monospaced font.
* A multi-threading issue was fixed which could cause a viewer's page count to never appear and, in rare cases, the pages not to be displayed. The problem occurred when a SwingReportView was created before the parent viewer had been placed into a window or frame.
* If the server no longer responded, it was possible for the viewer to "hang" until a timeout occurred.
* A NullPointerException could occur if you provided your own CustomPromptEditor panel and the prompt for the panel had a description.

### i-net Designer
* If a property formula could not be parsed, the property dialog was not displayed.
* A selected report element was removed from the report, if the delete key was pressed to delete a field in the field browser, e.g. a parameter field.
* Opening a report with an unknown data source, then changing the data source did not offer to apply the change to all sub-reports.
* It is now possible to create Ad Hoc Data Views using i-net Designer. These Ad Hoc Data Views can be used in the Ad Hoc Reporting web application (see Remote Interface).
* Relative paths for "Dynamic Image Location" of picture properties has not worked correctly for sub-reports.
* Color Chooser has not saved the custom color, when it was created for a section. 
* Save button in the tool bar was not always activated, though changes were made to the report.
* Translator:
  * At execution time, the translations were not used for parameter fields and strings in formulas.
  * The design view frame title will now be generated using the translated report if available.
  * The language editor has not displayed the whole text.
* The property "Possible undo steps" was removed from the Designer Options dialog, category "Editing".
* The property "Manual Formatting" in the "Property Editor", category "Text", was always disabled.
* Design view: 
  * Bottom resizing on elements spanning multiple sections snaps to correct grid, even with a section that have a custom height.
  * A double click on a sub-report opens the sub-report in a new tab instead of the properties dialog.
  * Label width has been displayed incorrect, if layout "Multi-column" or "Labels" was used. 
* Performance issues occurred, if database connection data was invalid.
* Button for property "Manual Formatting" was always disabled.
* Because of a wrong encoding, hyperlinks could lost some characters like a colon in the report preview, if i-net Designer was running on Windows.
* The scroll position in the design view has changed, if undo was used.
* NullPointerExeption occurred, if border properties dialog was opened for multiple text elements with different border types.
* Report as Folder:
  * If a report containing images was saved as folder, then it was not possible to reopen it, after the folder was added to the subversion control system.
  * If a report was saved as folder, the complete folder structure was overridden and not just the folder's content. Therefore the source control's .svn subfolders were removed completely.
  * Reports saved as "Report as Folder" were not displayed in the welcome page. 
* Within i-net Designer, reports which took a while to render were able to deadlock the viewer if their progress was canceled and restarted multiple times in a row.
* Cut and paste with images was not possible. The cutted image was not inserted correctly.
* A rare NullPointerException occurred during startup of i-net Designer, if the user running the i-net Designer had no privileges to write to the temp directory.
* Switching between multiple report editors, the font combo box would display fonts from the older editors rather than from the current editor, or go blank entirely.
* Report Wizard:
  * It was not possible to use stored procedures in the new Report Wizard of version 10.

### Remote Interface
* The error "Problem accessing null/LoginServlet." occurred with some modules if no login url was specified.
* In the web-based remote data source manager, when creating a MySQL data source, a default catalog was set called "test" which caused issues if this catalog did not exist.

### Ad Hoc Reporting
* It was not possible to load a saved Ad Hoc report correctly. It was necessary to select the Ad Hoc data view again.

### Configuration Manager
* It was not possible to import a properties file containing the key "allow.param.dll" as a configuration.

### Scheduler
* It was not possible to use embedded fonts with the print action of the scheduler.

### Setup
* English was not the default language on systems with a locale other than German or English.
* During the setup it was not possible to enter IPv6 addresses in the property IP Filter.
* Non GUI headless setup on console: The default port for JBoss was wrong. The correct port is 8080.

[bugfixes:de]
* PDF-Export:
  * Unterberichte, die Bilder enthalten, wurden manchmal nicht in die erstellte PDF-Datei aufgenommen.
  * Wenn die Eigenschaft "Replace Missing Characters" aktiviert war, wurden Unterberichte manchmal nicht in die erstellte PDF-Datei aufgenommen.
  * IllegalArgumentException trat manchmal während der Erstellung einer signierten PDF-Datei auf.
  * Unicode-Zeichen, die einige spezielle Byte-Werte (0x28, 0x29, 0x5c) enthalten, konnten in den Lesezeichen der PDF-Datei nicht korrekt angezeigt werden.
  * Ränder und Schatten von Elementen, die in den nächsten Abschnitt gemalt wurden.
  * Die Position eines Hyperlinks in der PDF-Datei war falsch, wenn der Hyperlink über ein Feld mit der Textinterpretation "HTML (advanced)" erstellt wurde.
  * Die Hierarchie der Lesezeichen ging in der exportierten PDF-Datei verloren.
  * Bilder, die als BMP mit BitFields und 16bpp (ARGB) kodiert waren, wurden in der exportierten PDF-Datei nicht korrekt dargestellt.
  * Felder mit der Textinterpretation "HTML(advanced)" wurden nicht angezeigt, wenn die Eigenschaft "Bei Duplikaten unterdrücken" aktiviert war.
* Manchmal blieb der Cache 15 Minuten lang hängen, nachdem die Aktualisierungsschaltfläche im Java Report Viewer angeklickt wurde, wenn eingebettete Schriftarten verwendet wurden.
* N-Datentypen von JDBC 4 (z.B. NClob) wurden nicht unterstützt, wenn Java 6 verwendet wurde.
* Übersetzungen im Bericht wurden für Parameterfelder (Prompts) und Formeln nicht verwendet.
* Manchmal wurde keine Fehlermeldung angezeigt, wenn eine Basisformel die Variable 'formula' nicht zugewiesen hat.
* Bild-Export: Der Export von On-Demand-Teilberichten hat korrupte Bilddateien erzeugt.
* Umrandungen und Schatten von Elementen wurden manchmal in den nächsten Abschnitt gemalt.
* In seltenen Fällen trat eine zusätzliche Leerzeile in Textfeldern einschließlich Feldteilen und Leerzeilen auf.
* Bei Elementen, die die grundlegende HTML-Interpretation verwenden, wurden Aufzählungslisten im Blocksatz nicht in der ersten Zeile ausgerichtet
* RTF-Export: Nicht transparente Bilder wurden im OpenOffice Writer nicht angezeigt.
* Die Formeln für die Beschriftung von Unterberichten "auf Anfrage" wurden vom Report Reader nicht korrekt gelesen.
* Eine vertikale Linie oder Box vom Seitenkopf zum Gruppenfußbereich wurde nicht auf einer Seite gezeichnet, wenn es sich um den Gruppenfuß des letzten Datensatzes handelte, der Gruppenfuß oben auf der nächsten Seite war und es keinen Gruppenfuß auf der aktuellen Seite gab.
* Die Methoden RDC.loadEngine(File file) und RDC.loadEngine(File file, xxx) konnten keine Berichtsvorlagen lesen, die als Verzeichnis gespeichert waren.
* Eine Zeile oder ein Kasten vom Seitenkopfbereich zu einem Gruppenfußbereich wurde nicht gezeichnet, wenn es sich um den Gruppenfuß des letzten Datensatzes handelte und der Gruppenfuß am Anfang einer neuen Seite (nach dem Seitenkopf) angezeigt wurde.
* Eine Spalte für identische Gruppen wurde mehrfach zur OrderBy-Anweisung hinzugefügt.
* Beim Öffnen eines Berichts mit zwei Datenquellen, von denen eine bereits als Datenquellenkonfiguration registriert war und die andere nicht, konnten die Einstellungen der zweiten Datenquelle die Einstellungen der ersten überschreiben.
* HTML-Abfrage-Dialog: Die Eigenschaft "Nur Standardwerte" wurde nicht verwendet.
* Die Höhe eines Abschnitts wurde auf die Standard-Kreuztabellenhöhe erhöht, wenn der Abschnitt eine sehr kleine Kreuztabelle enthält (kleiner als die Standard-Kreuztabellenhöhe) und wenn die Höhe des Abschnitts kleiner als die Standard-Kreuztabellenhöhe war.
* Das Zeichen # wurde nicht in Anführungszeichen gesetzt, wenn der Bericht auf einer MySQL-Datenbank ausgeführt wurde.
* Excel-Export:
  * Wenn die erste Gruppe unsichtbar ist und der Gruppenkopf in der zweiten Gruppe unterdrückt ist und die Gruppenfußzeile in der zweiten Gruppe Daten enthält, wurden die neuen Blätter pro erste Gruppe nicht erstellt.
  * Textstrings wurden mit STANDARD-Format statt TEXT-Format formatiert. Daher wurden Zahlen und Datumsangaben, die als Text geschrieben werden, in Open Office mit einem Hochkomma als erstes Zeichen angezeigt.
  * In der XLS-Datei wurde keine Spalte für dünne Berichtselemente (<3mm) hinzugefügt.
* Die Höhe eines Abschnitts wurde auf die Standard-Kreuztabellenhöhe erhöht, wenn der Abschnitt eine sehr kleine Kreuztabelle enthält (kleiner als die Standard-Kreuztabellenhöhe) und wenn die Höhe des Abschnitts kleiner als die Standard-Kreuztabellenhöhe war.
* Aufgrund eines Fehlers in der Java VM auf dem Mac OS trat eine Sicherheitsausnahme auf, wenn ein nicht privilegierter Benutzer versucht, die Benutzereinstellungen zu verwenden und i-net Crystal-Clear intern versucht, die Systemeinstellungen zu verwenden.
* ArrayIndexOutOfBoundsException im Übersetzer trat auf, wenn derselbe Platzhalter, z.B. {0}, mehrfach innerhalb desselben Strings verwendet wurde.
* Felder im Unterbericht wurden nicht angezeigt, wenn die Eigenschaft "Bei Duplikaten unterdrücken" aktiviert war und die Textinterpretation "Html (erweitert)" verwendet wurde.
* Die Texteigenschaft "Manuelle Formatierung" funktionierte in vielen Fällen nicht korrekt, wenn sie für Kreuztabellenfelder verwendet wurde.
* HTML-Export:
  * Felder mit der Textinterpretation "HTML(advanced)" wurden nicht angezeigt, wenn die Eigenschaft "Bei Duplikaten unterdrücken" aktiviert war.
  * Die Eigenschaft "Manuelle Formatierung", Kategorie "Text", funktionierte in vielen Fällen nicht für Felder in einer Kreuztabelle.
* Wenn im Bericht SQL-Ausdruckfelder vorhanden waren und die Datenquellen des Berichts in einen einzigen SQL-Befehl konvertiert wurden, wurden die Ausdrucksfelder aus dem Bericht entfernt. Jetzt werden sie stattdessen in Datenbankfelder umgewandelt, die auf der Spalte in der SQL-Anweisung basieren, die so benannt ist, wie das SQL-Ausdruckfeld benannt wurde.
* Wenn eine Berichtsdatei aus einer älteren Version von i-net Crystal-Clear auf einer Abfragedatei basierte und die Abfragedatei nicht gefunden werden konnte, konnte die Berichtsdatei nicht gelesen werden.
* Zeichen in Crystal-Reports-Vorlagen wie 0x01, die für XML-1.0-Dateien unzulässig sind, führten dazu, dass Berichte nicht korrekt konvertiert werden konnten. Diese Zeichen werden nun stattdessen in Leerzeichen umgewandelt.
* Zusammenfassungsfunktionen in Formeln, die ein Zahlen-Array als Parameter haben, geben bei leeren oder nicht initialisierten Arrays Null statt 0 zurück.
* Manuell eingegebene URL-Parameter nach dem UID-Parameter, die der HTML-Eingabeaufforderungsdialog erstellt, wurden abgeschnitten.

### i-net Crystal-Clear - Java Viewer
* Die logische Java-Schriftart "DialogInput" wurde im Java-Viewer als SansSerif-Schriftart und nicht, wie standardmäßig vorgesehen, als Monospaced-Schriftart angezeigt.
* Ein Multi-Threading-Problem wurde behoben, das dazu führen konnte, dass die Seitenzahl eines Viewers nie angezeigt wurde und in seltenen Fällen die Seiten nicht angezeigt wurden. Das Problem trat auf, wenn eine SwingReportView erstellt wurde, bevor der übergeordnete Viewer in einem Fenster oder Frame platziert wurde.
* Wenn der Server nicht mehr antwortete, konnte der Viewer "hängen", bis ein Timeout auftrat.
* Eine NullPointerException konnte auftreten, wenn Sie Ihr eigenes CustomPromptEditor-Panel bereitstellten und die Eingabeaufforderung für das Panel eine Beschreibung hatte.

### i-net Designer
* Wenn eine Eigenschaftsformel nicht geparst werden konnte, wurde der Eigenschaftsdialog nicht angezeigt.
* Ein ausgewähltes Berichtselement wurde aus dem Bericht entfernt, wenn die Löschtaste gedrückt wurde, um ein Feld im Feldbrowser zu löschen, z.B. ein Parameterfeld.
* Das Öffnen eines Berichts mit einer unbekannten Datenquelle und das anschließende Ändern der Datenquelle führte nicht dazu, dass die Änderung auf alle Unterberichte angewendet wurde.
* Es ist jetzt möglich, Ad-hoc-Datenansichten mit dem i-net Designer zu erstellen. Diese Ad-hoc-Datenansichten können in der Ad-hoc-Reporting-Webanwendung verwendet werden (siehe Remote Interface).
* Relative Pfade für "Dynamic Image Location" der Bildeigenschaften haben für Subreports nicht korrekt funktioniert.
* Die Farbauswahl hat die benutzerdefinierte Farbe nicht gespeichert, wenn sie für einen Abschnitt erstellt wurde.
* Die Schaltfläche "Speichern" in der Symbolleiste wurde nicht immer aktiviert, obwohl Änderungen am Bericht vorgenommen wurden.
* Übersetzer:
  * Zur Ausführungszeit wurden die Übersetzungen für Parameterfelder und Strings in Formeln nicht verwendet.
  * Der Rahmentitel der Entwurfsansicht wird jetzt unter Verwendung des übersetzten Berichts generiert, falls vorhanden.
  * Der Spracheditor hat nicht den gesamten Text angezeigt.
* Die Eigenschaft "Mögliche Rückgängig-Schritte" wurde aus dem Dialog Designer-Optionen, Kategorie "Bearbeitung", entfernt.
* Die Eigenschaft "Manuelle Formatierung" im "Eigenschaftseditor", Kategorie "Text", war immer deaktiviert.
* Entwurfsansicht:
  * Die Größenänderung am unteren Rand von Elementen, die sich über mehrere Abschnitte erstrecken, rastet am korrekten Raster ein, auch wenn ein Abschnitt eine benutzerdefinierte Höhe hat.
  * Ein Doppelklick auf einen Unterbericht öffnet den Unterbericht in einer neuen Registerkarte anstelle des Eigenschaftsdialogs.
  * Die Breite von Etiketten wurde falsch angezeigt, wenn das Layout "Mehrspaltig" oder "Etiketten" verwendet wurde.
* Leistungsprobleme traten auf, wenn die Datenbankverbindungsdaten ungültig waren.
* Die Schaltfläche für die Eigenschaft "Manuelle Formatierung" war immer deaktiviert.
* Aufgrund einer falschen Kodierung konnten Hyperlinks in der Berichtsvorschau einige Zeichen wie z. B. einen Doppelpunkt verlieren, wenn der i-net Designer unter Windows ausgeführt wurde.
* Die Scrollposition in der Entwurfsansicht hat sich geändert, wenn Rückgängig gemacht wurde.
* NullPointerExeption trat auf, wenn der Rahmeneigenschaften-Dialog für mehrere Textelemente mit unterschiedlichen Rahmentypen geöffnet wurde.
* Bericht als Ordner:
  * Wenn ein Bericht, der Bilder enthält, als Ordner gespeichert wurde, war es nicht möglich, ihn wieder zu öffnen, nachdem der Ordner dem Subversion-Kontrollsystem hinzugefügt wurde.
  * Wenn ein Bericht als Ordner gespeichert wurde, wurde die gesamte Ordnerstruktur überschrieben und nicht nur der Inhalt des Ordners. Daher wurden die .svn-Unterordner der Versionsverwaltung vollständig entfernt.
  * Reports, die als "Report as Folder" gespeichert wurden, wurden nicht auf der Startseite angezeigt.
* Im i-net Designer konnten Berichte, die eine Weile zum Rendern brauchten, den Viewer blockieren, wenn ihr Fortschritt mehrmals hintereinander abgebrochen und neu gestartet wurde.
* Ausschneiden und Einfügen mit Bildern war nicht möglich. Das ausgeschnittene Bild wurde nicht korrekt eingefügt.
* Eine seltene NullPointerException trat beim Starten des i-net Designers auf, wenn der Benutzer, der den i-net Designer ausführt, keine Berechtigung zum Schreiben in das Temp-Verzeichnis hatte.
* Beim Umschalten zwischen mehreren Report-Editoren zeigte das Kombinationsfeld für die Schriftarten nicht die Schriftarten des aktuellen Editors, sondern die der älteren Editoren an, oder es blieb ganz leer.
* Berichtsassistent:
  * Es war nicht möglich, gespeicherte Prozeduren im neuen Report Wizard der Version 10 zu verwenden.

### Remote Interface
* Der Fehler "Problem accessing null/LoginServlet." trat bei einigen Modulen auf, wenn keine Login-Url angegeben wurde.
* Im webbasierten Remote-Datenquellenmanager wurde bei der Erstellung einer MySQL-Datenquelle ein Standardkatalog namens "test" festgelegt, der Probleme verursachte, wenn dieser Katalog nicht existierte.

### Ad-hoc-Berichterstattung
* Es war nicht möglich, einen gespeicherten Ad Hoc Bericht korrekt zu laden. Es war notwendig, die Ad Hoc Datenansicht erneut auszuwählen.

### Konfigurations-Manager
* Es war nicht möglich, eine Eigenschaftsdatei, die den Schlüssel "allow.param.dll" enthält, als Konfiguration zu importieren.

### Planer
* Es war nicht möglich, eingebettete Schriftarten mit der Druckaktion des Schedulers zu verwenden.

### Einrichtung
* Englisch war nicht die Standardsprache auf Systemen mit einem anderen Gebietsschema als Deutsch oder Englisch.
* Während des Setups war es nicht möglich, IPv6-Adressen in der Eigenschaft IP-Filter einzugeben.
* Nicht GUI Headless Setup auf der Konsole: Der Standardport für JBoss war falsch. Der richtige Port ist 8080.

[security]

[security:de]
